import sys
from typing import ClassVar

if sys.platform == "win32":
    from . import win32

    class WinColor:
        BLACK: ClassVar[int]
        BLUE: ClassVar[int]
        GREEN: ClassVar[int]
        CYAN: ClassVar[int]
        RED: ClassVar[int]
        MAGENTA: ClassVar[int]
        YELLOW: ClassVar[int]
        GREY: ClassVar[int]

    class WinStyle:
        NORMAL: ClassVar[int]
        BRIGHT: ClassVar[int]
        BRIGHT_BACKGROUND: ClassVar[int]

    class WinTerm:
        def __init__(self) -> None: ...
        def get_attrs(self) -> int: ...
        def set_attrs(self, value: int) -> None: ...
        def reset_all(self, on_stderr: bool | None = None) -> None: ...
        def fore(self, fore: int | None = None, light: bool = False, on_stderr: bool = False) -> None: ...
        def back(self, back: int | None = None, light: bool = False, on_stderr: bool = False) -> None: ...
        def style(self, style: int | None = None, on_stderr: bool = False) -> None: ...
        def set_console(self, attrs: int | None = None, on_stderr: bool = False) -> None: ...
        def get_position(self, handle: int) -> win32.COORD: ...
        def set_cursor_position(self, position: win32.COORD | None = None, on_stderr: bool = False) -> None: ...
        def cursor_adjust(self, x: int, y: int, on_stderr: bool = False) -> None: ...
        def erase_screen(self, mode: int = 0, on_stderr: bool = False) -> None: ...
        def erase_line(self, mode: int = 0, on_stderr: bool = False) -> None: ...
        def set_title(self, title: str) -> None: ...

def enable_vt_processing(fd: int) -> bool: ...
